## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDebugPrintQuestRewardFactory Struct Reference

This interface is implemented by the reward that prints debug messages on standard output. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | SetMessageParameter (const char *msg)=0
| Set the message parameter to print (either a message string or a parameter if it starts with '$').

## Detailed Description

This interface is implemented by the reward that prints debug messages on standard output.

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.debugprint'.

In XML, factories recognize the following attributes on the 'reward' node:

- message: the message to print.

Definition at line 1240 of file questmanager.h.

## Member Function Documentation

virtual void iDebugPrintQuestRewardFactory::SetMessageParameter | ( | const char * | msg | ) | `[pure virtual]`

Set the message parameter to print (either a message string or a parameter if it starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h